# original for acroread-7 from rpmforge

%define debug_package %{nil}
%define __spec_install_post /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip-comment-note %{nil}
%define desktop_vendor rpmforge

Summary: Adobe Reader for viewing PDF files
Name: acroread
Version: 8.1.2_SU1
Release: 1.slc5
License: Commercial, Freely Distributable
Group: Applications/Publishing
URL: http://www.adobe.com/products/acrobat/readermain.html

Source: ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/enu/AdobeReader_enu-8.1.2_SU1-1.i486.tar.bz2
#ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/enu/AdobeReader_enu-8.1.2-1.i486.tar.gz
Source1: acroread.png
#Source2: ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/misc/FontPack81_xtd_i486-linux.tar.gz

Source98: find_requires_acroread.sh
Source99: find_provides_acroread.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

ExclusiveArch: i386
BuildRequires: perl
BuildRequires: desktop-file-utils
Obsoletes: acrobat
Requires: htmlview
Requires: %{_libdir}/libldap-2.2.so.7
Requires: %{_libdir}/liblber-2.2.so.7
Provides: %{name}-plugin = %{version}-%{release}
Obsoletes: %{name}-plugin < %{version}


# acoread-8 comes with its own copy of libstdc++ and similar.
# This should probably not be "Provided" to other RPMs..
%define _use_internal_dependency_generator 0
%define    __find_provides %{SOURCE99}
%define    __find_requires %{SOURCE98}


%description
Adobe Reader is part of the Adobe Acrobat family of software,
which lets you view, distribute, and print documents in Portable
Document Format (PDF)--regardless of the computer, operating system,
fonts, or application used to create the original file.

PDF files retain all the formatting, fonts, and graphics of the
original document, and virtually any PostScript(TM) document can
be converted into a PDF file. Adobe Acrobat Reader has a plug-in
for Mozilla/Firefox to view PDF files inline.

%prep
%setup -c

%{__cat} <<EOF >WebLink
*LinkDisplay:	CTRL
*OpenURL:	NO
*IsMapped:	NO
*Progress:	NO
*Toolbar:	YES
*SelectedBrowser:	/usr/bin/htmlview	
*SelectedDriver:	Netscape
EOF

%build

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m0755 %{buildroot}%{_libdir}/acroread/
%{__tar} -xvf AdobeReader/COMMON.TAR -C %{buildroot}%{_libdir}/acroread/
%{__tar} -xvf AdobeReader/ILINXR.TAR -C %{buildroot}%{_libdir}/acroread/

#%{__mv} -f %{buildroot}%{_libdir}/acroread/bin/acroread.sh %{buildroot}%{_libdir}/acroread/bin/acroread

### Fixup path and fixed LANG/LC_ALL settings until Adobe adds Unicode locale support
%{__perl} -pi -e 's|^install_dir=.*$|install_dir=%{_libdir}/acroread/Adobe/Reader8/Reader|' %{buildroot}%{_libdir}/acroread/Adobe/Reader8/bin/acroread

### Shutup some rpm permission warnings
%{__chmod} +x %{buildroot}%{_libdir}/acroread/Adobe/Reader8/Reader/*/lib/lib*.so* %{buildroot}%{_libdir}/acroread/Adobe/Reader8/Browser/*/*.so

%{__install} -D -m0644 WebLink %{buildroot}%{_libdir}/acroread/Adobe/Reader8/Reader/intellinux/app-defaults/WebLink

### Make links
%{__install} -d -m0755 %{buildroot}%{_bindir}
%{__ln_s} -f %{_libdir}/acroread/Adobe/Reader8/bin/acroread %{buildroot}%{_bindir}/acroread

%{__install} -d -m0755 %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/app-defaults/
%{__ln_s} -f %{_libdir}/acroread/Adobe/Reader8/Reader/intellinux/app-defaults/AcroRead %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/app-defaults/AcroRead
%{__ln_s} -f %{_libdir}/acroread/Adobe/Reader8/Reader/intellinux/app-defaults/WebLink %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/app-defaults/WebLink


### workaround for PPKLite.api failing to load - this does a dlopen(libldap.so).
### would require the 32bit openldap-devel RPM to be installed everywhere otherwise.
###  do not use libdir - we need the 32bit libraries.
%{__ln_s} -f /usr/lib/libldap-2.2.so.7 %{buildroot}%{_libdir}/acroread/Adobe/Reader8/Reader/intellinux/lib/libldap.so
%{__ln_s} -f /usr/lib/liblber-2.2.so.7 %{buildroot}%{_libdir}/acroread/Adobe/Reader8/Reader/intellinux/lib/liblber.so

%{__install} -d -m0755 %{buildroot}%{_libdir}/mozilla/plugins/
cd %{buildroot}%{_libdir}/mozilla/plugins/
%{__ln_s} -f ../../acroread/Adobe/Reader8/Browser/intellinux/nppdf.so nppdf.so 
cd -

%{__install} -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/acroread.png


%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
        desktop-file-install --vendor %{desktop_vendor}    \
                --add-category X-Red-Hat-Base              \
                --dir %{buildroot}%{_datadir}/applications \
                %{buildroot}%{_libdir}/acroread/Adobe/Reader8/Resource/Support/AdobeReader.desktop 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AdobeReader/ReadMe.htm  
%doc %{_libdir}/acroread/Adobe/Help/
%{_bindir}/acroread
%dir %{_libdir}/acroread/
%{_libdir}/acroread/Adobe/Reader8/Reader/
%{_libdir}/acroread/Adobe/Reader8/Resource/
%{_libdir}/acroread/Adobe/Reader8/bin/
%{_prefix}/X11R6/%{_lib}/X11/app-defaults/AcroRead
%{_prefix}/X11R6/%{_lib}/X11/app-defaults/WebLink
%{_datadir}/pixmaps/acroread.png
%{_datadir}/applications/%{desktop_vendor}-AdobeReader.desktop
%{_libdir}/acroread/Adobe/Reader8/Browser/
%{_libdir}/mozilla/plugins/nppdf.so
%{_libdir}/acroread/Adobe/HelpViewer/


#
# Wishlist:
# * disable JavaScript at install time
# * disable advertising/"update" at install time
# * get rid of embedded openssl?
# * get rid of libldap symlink (still required in 8.1.2)

%changelog
* Wed Jul 23 2008 Jan Iven <jan.iven@cern.ch> - 8.1.2_SU1-1.slc4
- go to 8.1.2_SU1, fix for CVE-2008-2641, CVE-2008-0883

* Mon Feb 25 2008 Jan Iven <jan.iven@cern.ch> - 8.1.2-2.slc4
- get rid of bogus "provides" for system libs, CT503584

* Fri Feb 15 2008 Jan Iven <jan.iven@cern.ch> - 8.1.2-1.slc4
- update to 8.1.2 (not formally suported under RHEL4?);
  Security fix for CVE-2007-5659, CVE-2008-0655

* Thu Jun 28 2007 Jan Iven <jan.iven@cern.ch> - 7.0.9-3.SLC4
- symlink ldap libraries to fix PPKLite plugin (".. failed to initialize"-popup)

* Wed Jan 10 2007 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- update to 7.0.9

* Wed Sep 27 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- update to 7.0.8

* Wed Mar 16 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial 7.0 build

* Thu Feb 17 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- DO NOT strip (NO debuginfo) ... or plugin will crash ..
- put plugin back in main pkg for SLC3

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 5.0.10-1
- Feedback from Jason L Tibbitts.
- Updated to release 5.0.10.

* Thu Nov 18 2004 Dag Wieers <dag@wieers.com> - 5.0.9-2
- Removed %%{_libdir}/mozilla/plugins/

* Thu Jun 24 2004 Dag Wieers <dag@wieers.com> - 5.0.9-1
- Updated to release 5.0.9.
- Fixed the acroread icon. (Sahak Petrosyan)
- Added fix for crash when doing 'Find' on non-existing strings. (Stefan Hoelldampf)

* Tue Jan 27 2004 Dag Wieers <dag@wieers.com> - 5.0.8-1
- Added fix to make locale settings still work. (Fernando Lozano)

* Mon Jan 26 2004 Dag Wieers <dag@wieers.com> - 5.0.8-0
- Added exports for LANG and LC_ALL, just in case. (Axel Thimm)
- Updated to release 5.0.8.

* Mon Aug 25 2003 Dag Wieers <dag@wieers.com> - 5.0.7-2
- Fixed Unicode locale support, again. (Matthew Mastracci)

* Fri Aug 01 2003 Dag Wieers <dag@wieers.com> - 5.0.7-1
- Put mozilla plugins into a seperate package.
- Improved the desktop file.

* Sun Jul 13 2003 Dag Wieers <dag@wieers.com> - 5.0.7-0
- Initial package. (using DAR)
